rultor.com logo This build log was produced by rultor.com for yegor256/volatility#3
+ set -e
+ set -o pipefail
++ dirname ./run.sh
+ cd .
+ echo 1441
+ echo '1.68.13 bf40c2027'
1.68.13 bf40c2027
+ date
Tue Apr 14 21:13:19 CEST 2020
+ uptime
 21:13:19 up 180 days, 17:22,  0 users,  load average: 4.32, 4.31, 4.46
+ head=git@github.com:yegor256/volatility.git
+ ff=default
+ image=yegor256/rultor-image
+ rebase=false
+ squash=false
+ head_branch=master
+ author=yegor256
+ tag=0.1.0
+ vars=('--env=head=git@github.com:yegor256/volatility.git' '--env=tag=0.1.0' '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/volatility.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.1.0'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" bin/volatility.rb'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" volatility.gemspec'\'' '\'';'\'' '\''git add bin/volatility.rb'\'' '\'';'\'' '\''git add volatility.gemspec'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build volatility.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' '--env=head_branch=master' '--env=author=yegor256')
+ scripts=('export '\''head=git@github.com:yegor256/volatility.git'\''' ';' 'export '\''tag=0.1.0'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" bin/volatility.rb' ';' 'sed -i "s/0\.0\.0/${tag}/g" volatility.gemspec' ';' 'git add bin/volatility.rb' ';' 'git add volatility.gemspec' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build volatility.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';')
+ directory=
+ container=yegor256_volatility_3
+ as_root=false
+ mkdir -p /home/rultor/.ssh
+ echo -e 'Host github.com\n\tStrictHostKeyChecking no\n'
+ chmod 600 /home/rultor/.ssh/config
+ git clone git@github.com:yegor256/volatility.git repo
Cloning into 'repo'...
+ cd repo
+ git config user.email me@rultor.com
+ git config user.name rultor
+ '[' -z 'export '\''head=git@github.com:yegor256/volatility.git'\''' ']'
+ cd ..
+ cat
+ '[' false = true ']'
+ cat
+ chmod a+x entry.sh
+ cat
+ echo 'export '\''head=git@github.com:yegor256/volatility.git'\''' ';' 'export '\''tag=0.1.0'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" bin/volatility.rb' ';' 'sed -i "s/0\.0\.0/${tag}/g" volatility.gemspec' ';' 'git add bin/volatility.rb' ';' 'git add volatility.gemspec' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build volatility.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';'
+ sensitive=()
+ rm -rf .gpg
+ '[' -z 0.1.0 ']'
+ [[ 0.1.0 =~ ^[a-zA-Z0-9\.\-]+$ ]]
+ echo 'tag name is valid: "0.1.0"'
tag name is valid: "0.1.0"
+ cd repo
++ git tag -l 0.1.0
+ '[' ']'
+ export BRANCH_NAME=__rultor
+ BRANCH_NAME=__rultor
++ git show-branch __rultor
++ wc -l
+ '[' 0 -gt 0 ']'
+ git checkout -b __rultor
Switched to a new branch '__rultor'
+ docker_when_possible
+ true
++ uptime
++ sed 's/ /\n/g'
++ tail -n 1
+ load=4.46
++ echo 4.46 '>' 30
++ bc
+ '[' 0 -eq 1 ']'
+ echo 'load average is 4.46, low enough to run a new Docker container'
load average is 4.46, low enough to run a new Docker container
+ break
+ cd ..
+ '[' -n '' ']'
+ use_image=yegor256/rultor-image
+ docker pull yegor256/rultor-image
Using default tag: latest
latest: Pulling from yegor256/rultor-image
Digest: sha256:3cb0326631b117124d419b281273f1e6f3e7cb3fb0c7045e91e563a884907c5e
Status: Image is up to date for yegor256/rultor-image:latest
+ docker ps --filter=status=exited
+ grep --quiet '\syegor256_volatility_3\s*$'
+ ls -al .
total 712
drwx------  3 rultor rultor   4096 Apr 14 21:13 .
drwxrwxrwt 12 root   root   684032 Apr 14 21:13 ..
-rwxrwxr-x  1 rultor rultor    363 Apr 14 21:13 entry.sh
-rw-rw-r--  1 rultor rultor      5 Apr 14 21:13 pid
drwxrwxr-x  6 rultor rultor   4096 Apr 14 21:13 repo
-rw-rw-r--  1 rultor rultor     56 Apr 14 21:13 rubygems.yml
-rwxrwxr-x  1 rultor rultor   5930 Apr 14 21:13 run.sh
-rw-rw-r--  1 rultor rultor    649 Apr 14 21:13 script.sh
-rw-rw-r--  1 rultor rultor   4167 Apr 14 21:13 stdout
++ pwd
++ pwd
+ docker run -t --rm -v /tmp/rultor-Vk6C:/main --env=head=git@github.com:yegor256/volatility.git --env=tag=0.1.0 '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/volatility.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.1.0'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''sudo bundle install --no-color "--gemfile=$(pwd)/Gemfile"'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" bin/volatility.rb'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" volatility.gemspec'\'' '\'';'\'' '\''git add bin/volatility.rb'\'' '\'';'\'' '\''git add volatility.gemspec'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build volatility.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' --env=head_branch=master --env=author=yegor256 --hostname=docker --privileged --memory=6g --memory-swap=16g --oom-kill-disable --cidfile=/tmp/rultor-Vk6C/cid -w=/main -v /var/run/docker.sock:/var/run/docker.sock --name=yegor256_volatility_3 yegor256/rultor-image /main/entry.sh
WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
+ set -e
+ set -o pipefail
+ shopt -s dotglob
+ useradd -m -G sudo r
+ usermod -s /bin/bash r
+ echo '%sudo ALL=(ALL) NOPASSWD:ALL'
+ cp -R /root/.bashrc /root/.cache /root/.composer /root/.gem /root/.gnupg /root/.m2 /root/.profile /root/texmf /home/r
+ cp -R ./cid ./end.sh ./entry.sh ./pid ./repo ./rubygems.yml ./run.sh ./script.sh ./stdout /home/r
+ rm -rf repo
+ chown -R r:r /home/r
+ chmod a+x /home/r/script.sh
+ su --login r --command /home/r/script.sh
mesg: cannot open /dev/pts/0: Permission denied
+ set -e
+ set -o pipefail
+ shopt -s expand_aliases
+ alias 'sudo=sudo -i'
+ export HOME=/home/r
+ HOME=/home/r
+ cd /home/r/repo
+ export head=git@github.com:yegor256/volatility.git
+ head=git@github.com:yegor256/volatility.git
+ export tag=0.1.0
+ tag=0.1.0
+ export head_branch=master
+ head_branch=master
+ export author=yegor256
+ author=yegor256
++ pwd
+ sudo -i bundle install --no-color --gemfile=/home/r/repo/Gemfile
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/...........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 12.0.0
Installing rake 12.0.0
Fetching concurrent-ruby 1.1.6
Installing concurrent-ruby 1.1.6
Fetching i18n 1.8.2
Installing i18n 1.8.2
Fetching minitest 5.5.0
Installing minitest 5.5.0
Fetching thread_safe 0.3.6
Installing thread_safe 0.3.6
Fetching tzinfo 1.2.7
Installing tzinfo 1.2.7
Fetching zeitwerk 2.3.0
Installing zeitwerk 2.3.0
Fetching activesupport 6.0.2.2
Installing activesupport 6.0.2.2
Fetching builder 3.2.4
Installing builder 3.2.4
Fetching erubi 1.9.0
Installing erubi 1.9.0
Using mini_portile2 2.4.0
Using nokogiri 1.10.9
Fetching rails-dom-testing 2.0.3
Installing rails-dom-testing 2.0.3
Fetching crass 1.0.6
Installing crass 1.0.6
Fetching loofah 2.5.0
Installing loofah 2.5.0
Fetching rails-html-sanitizer 1.3.0
Installing rails-html-sanitizer 1.3.0
Fetching actionview 6.0.2.2
Installing actionview 6.0.2.2
Fetching rack 2.2.2
Installing rack 2.2.2
Fetching rack-test 1.1.0
Installing rack-test 1.1.0
Fetching actionpack 6.0.2.2
Installing actionpack 6.0.2.2
Fetching ast 2.4.0
Installing ast 2.4.0
Fetching backtrace 0.3.0
Installing backtrace 0.3.0
Using bundler 2.1.4
Fetching json 2.3.0
Installing json 2.3.0 with native extensions
Fetching docile 1.3.2
Installing docile 1.3.2
Fetching simplecov-html 0.12.2
Installing simplecov-html 0.12.2
Fetching simplecov 0.18.5
Installing simplecov 0.18.5
Fetching url 0.3.2
Installing url 0.3.2
Fetching codecov 0.1.10
Installing codecov 0.1.10
Fetching diff-lcs 1.3
Installing diff-lcs 1.3
Fetching multi_json 1.14.1
Installing multi_json 1.14.1
Fetching gherkin 2.12.2
Installing gherkin 2.12.2 with native extensions
Fetching multi_test 0.1.2
Installing multi_test 0.1.2
Fetching cucumber 1.3.20
Installing cucumber 1.3.20
Fetching jaro_winkler 1.5.4
Installing jaro_winkler 1.5.4 with native extensions
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching parallel 1.19.1
Installing parallel 1.19.1
Fetching parser 2.7.1.0
Installing parser 2.7.1.0
Fetching powerpack 0.1.2
Installing powerpack 0.1.2
Fetching thor 1.0.1
Installing thor 1.0.1
Fetching railties 6.0.2.2
Installing railties 6.0.2.2
Using rainbow 3.0.0
Fetching rspec-support 3.1.2
Installing rspec-support 3.1.2
Fetching rspec-core 3.1.7
Installing rspec-core 3.1.7
Fetching rspec-expectations 3.1.2
Installing rspec-expectations 3.1.2
Fetching rspec-mocks 3.1.3
Installing rspec-mocks 3.1.3
Fetching rspec-rails 3.1.0
Installing rspec-rails 3.1.0
Fetching ruby-progressbar 1.10.1
Installing ruby-progressbar 1.10.1
Fetching unicode-display_width 1.4.1
Installing unicode-display_width 1.4.1
Fetching rubocop 0.61.0
Installing rubocop 0.61.0
Fetching rubocop-rspec 1.31.0
Installing rubocop-rspec 1.31.0
Fetching slop 4.8.1
Installing slop 4.8.1
Using volatility 0.0.0 from source at `.`
Bundle complete! 8 Gemfile dependencies, 53 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

+ bundle exec rake
/usr/local/rvm/rubies/ruby-2.6.0/bin/ruby -S bundle exec cucumber
Using the default profile...
Feature: Command Line Processing
  As a Git developer I want to calculate volatility of my repo

  Scenario: Help can be printed90m             # features/cli.feature:40m
    32mWhen I run bin/volatility with "32m1m--help0m0m32m"90m # features/step_definitions/steps.rb:510m0m
    32mThen Exit code is zero90m                  # features/step_definitions/steps.rb:650m0m
    32mAnd Stdout contains "32m1m--help0m0m32m"90m            # features/step_definitions/steps.rb:570m0m

  Scenario: Volatility can be calculated90m                    # features/cli.feature:90m

*** Please tell me who you are.

Run

  git config --global user.email "you@example.com"
  git config --global user.name "Your Name"

to set your account's default identity.
Omit --global to set the identity only in this repository.

fatal: unable to auto-detect email address (got 'r@docker.(none)')
    32mWhen I run bash with:90m                                   # features/step_definitions/steps.rb:790m0m
32m      """0m
32m      mkdir tmp0m
32m      cd tmp0m
32m      git init .0m
32m      touch test.txt0m
32m      git add test.txt0m
32m      git commit -am 'test'0m
32m      """0m
fatal: your current branch 'master' does not have any commits yet
    32mThen I run bin/volatility with "32m1m--verbose --home=./tmp0m0m32m"90m # features/step_definitions/steps.rb:510m0m
    31mThen Exit code is zero90m                                  # features/step_definitions/steps.rb:650m0m
31m      Non-zero exit 255:0m
31m      Home: /tmp/test20200414-2301-etv5pe/tmp0m
31m      RuntimeError: No Git history found in /tmp/test20200414-2301-etv5pe/tmp0m
31m             /home/r/repo/features/step_definitions/../../bin/volatility:66:in `<main>'0m
31m       (RuntimeError)0m
31m      features/cli.feature:20:in `Then Exit code is zero'0m

Feature: Gem Package
  As a source code writer I want to be able to
  package the Gem into .gem file

  Scenario: Gem can be packaged90m                  # features/gem_package.feature:50m
    32mGiven It is Unix90m                             # features/step_definitions/steps.rb:850m0m
    32mGiven I have a "32m1mexecs.rb0m0m32m" file with content:90m # features/step_definitions/steps.rb:440m0m
32m      """0m
32m      #!/usr/bin/env ruby0m
32m      require 'rubygems'0m
32m      spec = Gem::Specification::load('./spec.rb')0m
32m      if spec.executables.empty?0m
32m        fail 'no executables: ' + File.read('./spec.rb')0m
32m      end0m
32m      """0m
    32mWhen I run bash with:90m                        # features/step_definitions/steps.rb:790m0m
32m      """0m
32m      cd volatility0m
32m      gem build volatility.gemspec0m
32m      gem specification --ruby volatility-*.gem > ../spec.rb0m
32m      cd ..0m
32m      ruby execs.rb0m
32m      """0m
    32mThen Exit code is zero90m                       # features/step_definitions/steps.rb:650m0m

31mFailing Scenarios:0m
31mcucumber features/cli.feature:90m90m # Scenario: Volatility can be calculated0m

3 scenarios (31m1 failed0m, 32m2 passed0m)
10 steps (31m1 failed0m, 32m9 passed0m)
0m1.588s
Coverage report generated for Cucumber Features to /home/r/repo/coverage. 0 / 0 LOC (100.0%) covered.
SimpleCov failed with exit 1
container 2999cbeb343067a36759112f09b5ca77cd3fb22f388e07d7d018f209d350b202 is dead
Tue Apr 14 21:15:11 CEST 2020